/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kspeech.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KSPEECH_STUB__
#define __KSPEECH_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <qstringlist.h>


class kspeech_stub : virtual public DCOPStub
{
public:
    kspeech_stub( const QCString& app, const QCString& id );
    kspeech_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit kspeech_stub( const DCOPRef& ref );
    virtual bool supportsMarkup( const QString& talker, uint markupType );
    virtual bool supportsMarkers( const QString& talker );
    virtual ASYNC sayScreenReaderOutput( const QString& msg, const QString& talker );
    virtual ASYNC sayWarning( const QString& warning, const QString& talker );
    virtual ASYNC sayMessage( const QString& message, const QString& talker );
    virtual ASYNC setSentenceDelimiter( const QString& delimiter );
    virtual uint setText( const QString& text, const QString& talker );
    virtual int appendText( const QString& text, uint jobNum );
    virtual uint setFile( const QString& filename, const QString& talker );
    virtual int getTextCount( uint jobNum );
    virtual uint getCurrentTextJob();
    virtual uint getTextJobCount();
    virtual QString getTextJobNumbers();
    virtual int getTextJobState( uint jobNum );
    virtual QByteArray getTextJobInfo( uint jobNum );
    virtual QString talkerCodeToTalkerId( const QString& talkerCode );
    virtual QString getTextJobSentence( uint jobNum, uint seq );
    virtual bool isSpeakingText();
    virtual ASYNC removeText( uint jobNum );
    virtual ASYNC startText( uint jobNum );
    virtual ASYNC stopText( uint jobNum );
    virtual ASYNC pauseText( uint jobNum );
    virtual ASYNC resumeText( uint jobNum );
    virtual QStringList getTalkers();
    virtual ASYNC changeTextTalker( uint jobNum, const QString& talker );
    virtual QString userDefaultTalker();
    virtual ASYNC moveTextLater( uint jobNum );
    virtual int jumpToTextPart( int partNum, uint jobNum );
    virtual uint moveRelTextSentence( int n, uint jobNum );
    virtual ASYNC speakClipboard();
    virtual void showDialog();
    virtual void kttsdExit();
    virtual void reinit();
protected:
    kspeech_stub() : DCOPStub( never_use ) {};
};


#endif
