<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>kspeech</name>
    <filename>classkspeech.html</filename>
    <member kind="enumeration">
      <name>kttsdJobState</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchor>w9w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchor>w9w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchor>w9w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchor>w9w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchor>w9w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>kttsdMarkupType</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchor>w10w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchor>w10w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSsml</name>
      <anchor>w10w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchor>w10w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>supportsMarkup</name>
      <anchor>z1_0</anchor>
      <arglist>(const QString &amp;talker=NULL, const uint markupType=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>supportsMarkers</name>
      <anchor>z1_1</anchor>
      <arglist>(const QString &amp;talker=NULL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayScreenReaderOutput</name>
      <anchor>z1_2</anchor>
      <arglist>(const QString &amp;msg, const QString &amp;talker=NULL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayWarning</name>
      <anchor>z1_3</anchor>
      <arglist>(const QString &amp;warning, const QString &amp;talker=NULL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayMessage</name>
      <anchor>z1_4</anchor>
      <arglist>(const QString &amp;message, const QString &amp;talker=NULL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setSentenceDelimiter</name>
      <anchor>z1_5</anchor>
      <arglist>(const QString &amp;delimiter)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>setText</name>
      <anchor>z1_6</anchor>
      <arglist>(const QString &amp;text, const QString &amp;talker=NULL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>appendText</name>
      <anchor>z1_7</anchor>
      <arglist>(const QString &amp;text, const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>setFile</name>
      <anchor>z1_8</anchor>
      <arglist>(const QString &amp;filename, const QString &amp;talker=NULL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>getTextCount</name>
      <anchor>z1_9</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>getCurrentTextJob</name>
      <anchor>z1_10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>getTextJobCount</name>
      <anchor>z1_11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>getTextJobNumbers</name>
      <anchor>z1_12</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>getTextJobState</name>
      <anchor>z1_13</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QByteArray</type>
      <name>getTextJobInfo</name>
      <anchor>z1_14</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>talkerCodeToTalkerId</name>
      <anchor>z1_15</anchor>
      <arglist>(const QString &amp;talkerCode)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>getTextJobSentence</name>
      <anchor>z1_16</anchor>
      <arglist>(const uint jobNum=0, const uint seq=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>isSpeakingText</name>
      <anchor>z1_17</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>removeText</name>
      <anchor>z1_18</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>startText</name>
      <anchor>z1_19</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>stopText</name>
      <anchor>z1_20</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>pauseText</name>
      <anchor>z1_21</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>resumeText</name>
      <anchor>z1_22</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>getTalkers</name>
      <anchor>z1_23</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>changeTextTalker</name>
      <anchor>z1_24</anchor>
      <arglist>(const uint jobNum=0, const QString &amp;talker=NULL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>userDefaultTalker</name>
      <anchor>z1_25</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>moveTextLater</name>
      <anchor>z1_26</anchor>
      <arglist>(const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>jumpToTextPart</name>
      <anchor>z1_27</anchor>
      <arglist>(const int partNum, const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>moveRelTextSentence</name>
      <anchor>z1_28</anchor>
      <arglist>(const int n, const uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>speakClipboard</name>
      <anchor>z1_29</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>showDialog</name>
      <anchor>z1_30</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>kttsdExit</name>
      <anchor>z1_31</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>reinit</name>
      <anchor>z1_32</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>kttsdStarted</name>
      <anchor>z3_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>kttsdExiting</name>
      <anchor>z3_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>markerSeen</name>
      <anchor>z3_2</anchor>
      <arglist>(const QCString &amp;appId, const QString &amp;markerName)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sentenceStarted</name>
      <anchor>z3_3</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum, const uint seq)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sentenceFinished</name>
      <anchor>z3_4</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum, const uint seq)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textSet</name>
      <anchor>z3_5</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textAppended</name>
      <anchor>z3_6</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum, const int partNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textStarted</name>
      <anchor>z3_7</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textFinished</name>
      <anchor>z3_8</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textStopped</name>
      <anchor>z3_9</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textPaused</name>
      <anchor>z3_10</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textResumed</name>
      <anchor>z3_11</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textRemoved</name>
      <anchor>z3_12</anchor>
      <arglist>(const QCString &amp;appId, const uint jobNum)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="classkspeech">Features</docanchor>
    <docanchor file="classkspeech">cmdline</docanchor>
    <docanchor file="classkspeech">authors</docanchor>
    <docanchor file="classkspeech">markers</docanchor>
    <docanchor file="classkspeech">Requirements</docanchor>
    <docanchor file="classkspeech">talkers</docanchor>
    <docanchor file="classkspeech">markup</docanchor>
    <docanchor file="classkspeech">programming</docanchor>
    <docanchor file="classkspeech">signals</docanchor>
    <docanchor file="classkspeech">goals</docanchor>
    <docanchor file="classkspeech">sentenceparsing</docanchor>
  </compound>
  <compound kind="class">
    <name>PlugInConf</name>
    <filename>classPlugInConf.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>configChanged</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlugInConf</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PlugInConf</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>(KConfig *config, const QString &amp;configGroup)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>(KConfig *config, const QString &amp;configGroup)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>supportsMultiInstance</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDesiredLanguage</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getTalkerCode</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>getSupportedLanguages</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPlayer</name>
      <anchor>a9</anchor>
      <arglist>(TestPlayer *player)</arglist>
    </member>
    <member kind="function">
      <type>TestPlayer *</type>
      <name>getPlayer</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>realFilePath</name>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>getLocation</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>splitLanguageCode</name>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;languageCode, QString &amp;countryCode)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_path</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TestPlayer *</type>
      <name>m_player</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="classPlugInConf">talkercodes</docanchor>
    <docanchor file="classPlugInConf">multiinstance</docanchor>
    <docanchor file="classPlugInConf">loadandsavemethods</docanchor>
    <docanchor file="classPlugInConf">language</docanchor>
    <docanchor file="classPlugInConf">guidelines</docanchor>
  </compound>
  <compound kind="class">
    <name>PlugInProc</name>
    <filename>classPlugInProc.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>synthFinished</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sayFinished</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopped</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>error</name>
      <anchor>l3</anchor>
      <arglist>(const bool keepGoing, const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlugInProc</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PlugInProc</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(KConfig *config, const QString &amp;configGroup)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sayText</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>synthText</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;text, const QString &amp;suggestedFilename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getFilename</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stopText</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual pluginState</type>
      <name>getState</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ackFinished</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>supportsAsync</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>supportsSynth</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getSsmlXsltFilename</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <docanchor file="classPlugInProc">Error-handling</docanchor>
    <docanchor file="classPlugInProc">PlugInConf</docanchor>
    <docanchor file="classPlugInProc">Implementation</docanchor>
    <docanchor file="classPlugInProc">Minimum</docanchor>
    <docanchor file="classPlugInProc">Goals</docanchor>
  </compound>
  <compound kind="class">
    <name>KSpeechSink</name>
    <filename>classKSpeechSink.html</filename>
    <member kind="enumeration">
      <name>kttsdJobState</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchor>w9w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchor>w9w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchor>w9w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchor>w9w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchor>w9w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>kttsdMarkupType</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchor>w10w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchor>w10w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSmml</name>
      <anchor>w10w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchor>w10w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>kttsdStarted</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>kttsdExiting</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>markerSeen</name>
      <anchor>z2</anchor>
      <arglist>(const QCString &amp;, const QString &amp;)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>sentenceStarted</name>
      <anchor>z3</anchor>
      <arglist>(const QCString &amp;, const uint, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>sentenceFinished</name>
      <anchor>z4</anchor>
      <arglist>(const QCString &amp;, const uint, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textSet</name>
      <anchor>z5</anchor>
      <arglist>(const QCString &amp;, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textAppended</name>
      <anchor>z6</anchor>
      <arglist>(const QCString &amp;, const uint, const int)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textStarted</name>
      <anchor>z7</anchor>
      <arglist>(const QCString &amp;, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textFinished</name>
      <anchor>z8</anchor>
      <arglist>(const QCString &amp;, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textStopped</name>
      <anchor>z9</anchor>
      <arglist>(const QCString &amp;, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textPaused</name>
      <anchor>z10</anchor>
      <arglist>(const QCString &amp;, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textResumed</name>
      <anchor>z11</anchor>
      <arglist>(const QCString &amp;, const uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textRemoved</name>
      <anchor>z12</anchor>
      <arglist>(const QCString &amp;, const uint)</arglist>
    </member>
    <docanchor file="classKSpeechSink">Usage</docanchor>
  </compound>
  <compound kind="dir">
    <name>/home/share/src/kttsd/kttsd-0.2.0/kttsd/</name>
    <path>/home/share/src/kttsd/kttsd-0.2.0/kttsd/</path>
    <filename>dir_000000.html</filename>
    <dir>/home/share/src/kttsd/kttsd-0.2.0/kttsd/libktts/</dir>
    <dir>/home/share/src/kttsd/kttsd-0.2.0/kttsd/libkttsd/</dir>
  </compound>
  <compound kind="dir">
    <name>/home/share/src/kttsd/kttsd-0.2.0/kttsd/libktts/</name>
    <path>/home/share/src/kttsd/kttsd-0.2.0/kttsd/libktts/</path>
    <filename>dir_000001.html</filename>
    <file>kspeech.h</file>
    <file>kspeechsink.h</file>
    <file>ktts.cpp</file>
    <file>ktts.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/share/src/kttsd/kttsd-0.2.0/kttsd/libkttsd/</name>
    <path>/home/share/src/kttsd/kttsd-0.2.0/kttsd/libkttsd/</path>
    <filename>dir_000002.html</filename>
    <file>player.h</file>
    <file>pluginconf.cpp</file>
    <file>pluginconf.h</file>
    <file>pluginproc.cpp</file>
    <file>pluginproc.h</file>
    <file>stretcher.cpp</file>
    <file>stretcher.h</file>
    <file>talkercode.cpp</file>
    <file>talkercode.h</file>
    <file>testplayer.cpp</file>
    <file>testplayer.h</file>
  </compound>
</tagfile>
